version: '3.7'

services:
  web:
    build: ./app
    command: gunicorn bundesdata_app.wsgi:application --bind 0.0.0.0:8000
    volumes:
      - ./app/:/usr/src/app/
      - ./input_volume/:/usr/src/app/input_data
      - ./static_volume:/usr/src/app/staticfiles
    expose:
      - 8000
    depends_on:
      - db
  db:
    image: postgres:11.2
    environment:
            - POSTGRES_USER=databaseUserName
            - POSTGRES_PASSWORD=totalSecurePassword
            - POSTGRES_DB=databaseName
    volumes:
      - ./postgres_data:/var/lib/postgresql/data/
  nginx:
    build: ./nginx
    volumes:
      - ./static_volume:/usr/src/app/staticfiles
    ports:
      - 8000:80
    depends_on:
      - web

volumes:
  postgres_data:
  static_volume:
  input_volume:
